#!/usr/bin/python
# -*- coding: utf-8 -*-

from setuptools import setup


VERSION = '1.0.0b11'


setup(

    name='pyaudioidmon',
    version = VERSION,
    description = 'pyaudioidmon - REST client for audioid monitor',
    long_description = 'pyaudioidmon is a REST client for the API of the audioid monitor webservice',
    classifiers = [
        # How mature is this project? Common values are
        # 3 - Alpha
        # 4 - Beta
        # 5 - Production/Stable
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Programming Language :: Python :: 2.7',
        'Topic :: Multimedia :: Sound/Audio :: Analysis',
    ],
    url = 'http://www.mufin.com',
    author = 'Lars Fabig',
    author_email = 'lfabig@mufin.com',
    maintainer = 'Lars Fabig',
    maintainer_email = 'lfabig@mufin.com',
    license = 'Other/Proprietary License',
    packages = [
        'audioidmon',
        'audioidmon.cli'
    ],
    entry_points = {
        'console_scripts' : [
            'audioidmon_add_fingerprint = audioidmon.cli.audioidmon_add_fingerprint:main',
            'audioidmon_delete_fingerprint = audioidmon.cli.audioidmon_delete_fingerprint:main',
            'audioidmon_delete_all_fingerprints = audioidmon.cli.audioidmon_delete_all_fingerprints:main',
            'audioidmon_list_fingerprint_ids = audioidmon.cli.audioidmon_list_fingerprint_ids:main',
            'audioidmon_monitor_fingerprint = audioidmon.cli.audioidmon_monitor_fingerprint:main',
            'audioidmon_extract_fingerprint = audioidmon.cli.audioidmon_extract_fingerprint:main',
            'audioidmon_batch_monitoring = audioidmon.cli.audioidmon_batch_monitoring:main'
        ]
    },
    install_requires = [
        'pyyaml',
        'requests',
        'validators'
    ],
    test_suite = 'nose2.collector.collector',
    include_package_data = True,
    zip_safe=False

)
